var layer;
var folder;

function widgetOnLoad() {
    DisplayGreen.Visible = getValue("DisplayGreen.visible",DisplayGreen.Visible);
    DisplayYellow.Visible = getValue("DisplayYellow.visible",DisplayYellow.Visible);
    DisplayRed.Visible = getValue("DisplayRed.visible",DisplayRed.Visible);
    MainTitles.Visible = getValue("MainTitles.visible", MainTitles.Visible);
    AMPMTitles.Visible = getValue("AMPMTitles.visible", AMPMTitles.Visible);
    Present.Visible = getValue("Present.visible", Present.Visible);
    Destination.Visible = getValue("Destination.visible", Destination.Visible);
    LastTime.Visible = getValue("LastTime.visible", LastTime.Visible);
    Box.Visible = getValue("Box.visible", Box.Visible);
    Box2.Visible = getValue("Box2.visible", Box2.Visible);
    
    menuitem3.checked = DisplayGreen.visible;
    menuitem4.checked = DisplayYellow.visible;
    menuitem5.checked = DisplayRed.visible;
    menuitem7.checked = MainTitles.visible;
    menuitem8.checked = AMPMTitles.visible;
    menuitem10.checked = Present.visible;
    menuitem11.checked = Destination.visible;
    menuitem12.checked = LastTime.visible;
    menuitem14.checked = Box.visible;
    menuitem15.checked = Box2.visible;
    
    if (DisplayGreen.visible) {
        layer = DisplayGreen;
        folder = "green/";
    } else if (DisplayYellow.visible) {
        layer = DisplayYellow;
        folder = "yellow/";
    } else if (DisplayRed.visible) {
        layer = DisplayRed;
        folder = "red/";
    }
    
    getDayYear(folder, layer);
}

function menuitem3OnClick(Sender) {
    DisplayGreen.visible = true;
    DisplayYellow.visible = false;
    DisplayRed.visible = false;
    setValue("DisplayGreen.visible",DisplayGreen.Visible);
    setValue("DisplayYellow.visible",DisplayYellow.Visible);
    setValue("DisplayRed.visible",DisplayRed.Visible);
    saveIni;
    menuitem3.checked = DisplayGreen.visible;
    menuitem4.checked = DisplayYellow.visible;
    menuitem5.checked = DisplayRed.visible;
    getDayYear("green/", DisplayGreen);
}

function menuitem4OnClick(Sender) {
    DisplayGreen.visible = false;
    DisplayYellow.visible = true;
    DisplayRed.visible = false;
    setValue("DisplayGreen.visible",DisplayGreen.Visible);
    setValue("DisplayYellow.visible",DisplayYellow.Visible);
    setValue("DisplayRed.visible",DisplayRed.Visible);
    saveIni;
    menuitem3.checked = DisplayGreen.visible;
    menuitem4.checked = DisplayYellow.visible;
    menuitem5.checked = DisplayRed.visible;
    getDayYear("yellow/", DisplayYellow, "yellow");        
}

function menuitem5OnClick(Sender) {
    DisplayGreen.visible = false;
    DisplayYellow.visible = false;
    DisplayRed.visible = true;
    setValue("DisplayGreen.visible",DisplayGreen.Visible);
    setValue("DisplayYellow.visible",DisplayYellow.Visible);
    setValue("DisplayRed.visible",DisplayRed.Visible);
    saveIni;
    menuitem3.checked = DisplayGreen.visible;
    menuitem4.checked = DisplayYellow.visible;
    menuitem5.checked = DisplayRed.visible;
    getDayYear("red/", DisplayRed);
}

function getDayYear(folder, layer) {
    var date = new Date();
    var day = ("0" + date.getDate()).slice(-2);
    var year = date.getFullYear().toString();
    layer.d1.Src = folder + "num/" + day.charAt(0) + ".png";
    layer.d2.Src = folder + "num/" + day.charAt(1) + ".png";
    layer.year1.Src = folder + "num/" + year.charAt(0) + ".png";
    layer.year2.Src = folder + "num/" + year.charAt(1) + ".png";
    layer.year3.Src = folder + "num/" + year.charAt(2) + ".png";
    layer.year4.Src = folder + "num/" + year.charAt(3) + ".png";
    var hour = date.getHours();
    if (hour >= 0 && hour < 12) {
        layer.ampm.Src = folder + "am.png";
    } else {
        layer.ampm.Src = folder +"pm.png";
    }
}

function datetimecore1OnUpdate(Sender) {
    getDayYear(folder, layer);
}

function menuitem7OnClick(Sender) {
    if (MainTitles.visible) {
        MainTitles.visible = false; 
    } else MainTitles.visible = true;
    setValue("MainTitles.visible", MainTitles.Visible);
    saveIni;
    menuitem7.checked = MainTitles.visible;
}

function menuitem8OnClick(Sender) {
    if (AMPMTitles.visible) {
        AMPMTitles.visible = false;
    } else AMPMTitles.visible = true;
    setValue("AMPMTitles.visible", AMPMTitles.Visible);
    saveIni;
    menuitem8.checked = AMPMTitles.visible;
}


function menuitem10OnClick(Sender) {
    if (Present.visible) {
        Present.visible = false;
    } else {
        Present.visible = true;
        Destination.visible = false;
        LastTime.visible = false;
    }
    setValue("Present.visible", Present.Visible);
    setValue("Destination.visible", Destination.Visible);
    setValue("LastTime.visible", LastTime.Visible);
    saveIni;
    menuitem10.checked = Present.visible;
    menuitem11.checked = Destination.visible;
    menuitem12.checked = LastTime.visible;
}

function menuitem11OnClick(Sender) {
    if (Destination.visible) {
        Destination.visible = false;
    } else {
        Present.visible = false;
        Destination.visible = true;
        LastTime.visible = false;
    }
    setValue("Present.visible", Present.Visible);
    setValue("Destination.visible", Destination.Visible);
    setValue("LastTime.visible", LastTime.Visible);
    saveIni;
    menuitem10.checked = Present.visible;
    menuitem11.checked = Destination.visible;
    menuitem12.checked = LastTime.visible;
}

function menuitem12OnClick(Sender) {
    if (LastTime.visible) {
        LastTime.visible = false;
    } else {
        Present.visible = false;
        Destination.visible = false;
        LastTime.visible = true;
    }
    setValue("Present.visible", Present.Visible);
    setValue("Destination.visible", Destination.Visible);
    setValue("LastTime.visible", LastTime.Visible);
    saveIni;
    menuitem10.checked = Present.visible;
    menuitem11.checked = Destination.visible;
    menuitem12.checked = LastTime.visible;
}


function menuitem14OnClick(Sender) {
    Box.visible = true;
    Box2.visible = false;
    setValue("Box.visible",Box.Visible);
    setValue("Box2.visible",Box2.Visible);
    saveIni;
    menuitem14.checked = Box.visible;
    menuitem15.checked = Box2.visible;
}

function menuitem15OnClick(Sender) {
    Box.visible = false;
    Box2.visible = true;
    setValue("Box.visible",Box.Visible);
    setValue("Box2.visible",Box2.Visible);
    saveIni;
    menuitem14.checked = Box.visible;
    menuitem15.checked = Box2.visible;
}
